@SET_MAKE@
srcdir	= @srcdir@
VPATH	= @srcdir@

CC	= @CC@
LDCC	= @LDCC@
CFLAGS	= @CFLAGS@
LIBS	= @LIBS@
INSTALL	= @INSTALL@
INSTALL_PROGRAM	= @INSTALL_PROGRAM@
INSTALL_DATA	= @INSTALL_DATA@
bindir	= /usr/local/bin

SRCS1	= tty.c command.c command1.c getuint.c jpeg.c ppm.c bmp.c qvplay.c
OBJS1	= tty.o command.o command1.o getuint.o jpeg.o ppm.o bmp.o qvplay.o
PROG1	= qvplay

SRCS2	= tty.c command.c command2.c getuint.c qvrec.c
OBJS2	= tty.o command.o command2.o getuint.o qvrec.o
PROG2	= qvrec

.c.o:
	$(CC) $(CFLAGS) $(DEFS) -c $<

all:	$(PROG1) $(PROG2)

$(PROG1): $(OBJS1)
	$(LDCC) -o $(PROG1) $(CFLAGS) $(OBJS1) $(LIBS)

$(PROG2): $(OBJS2)
	$(LDCC) -o $(PROG2) $(CFLAGS) $(OBJS2) $(LIBS)

clean:
	rm -f $(PROG1) $(OBJS1) $(PROG2) $(OBJS2)

realclean:
	rm -f $(PROG1) $(OBJS1) $(PROG2) $(OBJS2) config.log config.cache config.status Makefile

install:	all
	$(INSTALL_PROGRAM) -s -o uucp -g bin -m 4755 $(PROG1) $(bindir)/$(PROG1)
	$(INSTALL_PROGRAM) -s -o uucp -g bin -m 4755 $(PROG2) $(bindir)/$(PROG2)

depend: .depend
.depend:
	mkdep $(SRCS1)
	mkdep $(SRCS2)
